colorlandia_sounds = {}

function colorlandia_sounds.dirt(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "default_dirt_footstep", gain = 0.3, pitch = 2}
	table.dug = table.dug or
			{name = "default_dirt_footstep", gain = 0.2,}
	table.place = table.place or
			{name = "default_dirt_footstep", gain = 0.1,}
	return table
end

function colorlandia_sounds.grass(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "default_grass_footstep", gain = 0.3, pitch = 2}
	table.dug = table.dug or
			{name = "default_grass_footstep", gain = 0.2,}
	table.place = table.place or
			{name = "default_grass_footstep", gain = 0.1,}
	return table
end

function colorlandia_sounds.wood(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "default_wood_footstep", gain = 0.3, pitch = 2}
	table.dug = table.dug or
			{name = "default_wood_footstep", gain = 0.2,}
	table.place = table.place or
			{name = "default_wood_footstep", gain = 0.1,}
	return table
end

function colorlandia_sounds.glass(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "default_glass_footstep", gain = 0.3, pitch = 2}
	table.dug = table.dug or
			{name = "default_break_glass", gain = 0.2,}
	table.place = table.place or
			{name = "default_glass_footstep", gain = 0.1,}
	return table
end